# Class RegRole

java.lang.Object
uk.ac.starlink.vo.RegRole

public abstract class RegRole extends Object
Characterises a role item from the registry resource model. This corresponds to a row of the RegTAP rr.res_role table.

Since:
  5 Jun 2015
Author:
  Mark Taylor
See Also:
  - RegTAP

## Constructor Summary

Constructors
Constructor
Description
`RegRole()`

## Method Summary

Modifier and Type
Method
Description
`abstract String`
`getBaseRole()`
Returns the role played by this entity; should be one of "contact", "publisher", "creator".
`abstract String`
`getEmail()`
Returns the email address associated with the person or organisation.
`abstract String`
`getLogo()`
Returns the URL of a logo associated with this entity.
`abstract String`
`getName()`
Returns the real-world name or title of the person or organisation.
`static RegRole[]`
`readRoles(TapService regtapService, String ivoid, uk.ac.starlink.util.ContentCoding coding)`
Performs a RegTAP query to return all the role records corresponding to a given registry resource (ivoid).

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### RegRole

public RegRole()

## Method Details

### getBaseRole

public abstract String getBaseRole()
Returns the role played by this entity; should be one of "contact", "publisher", "creator".

Returns:
  role type

### getName

public abstract String getName()
Returns the real-world name or title of the person or organisation.

Returns:
  name

### getEmail

public abstract String getEmail()
Returns the email address associated with the person or organisation.

Returns:
  email

### getLogo

public abstract String getLogo()
Returns the URL of a logo associated with this entity.

Returns:
  logo URL

### readRoles

public static RegRole[] readRoles(TapService regtapService, String ivoid, uk.ac.starlink.util.ContentCoding coding) throws IOException
Performs a RegTAP query to return all the role records corresponding to a given registry resource (ivoid).

Parameters:
  `regtapService` - RegTAP service description
  `ivoid` - identifier for resource
  `coding` - configures HTTP compression
Returns:
  role records for resource
Throws:
  `IOException`